Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRPenContainer

All Superinterfaces:
  JRStyleContainer

All Known Subinterfaces:
  JRCommonGraphicElement, JRCommonImage, JRConditionalStyle, JREllipse, JRGraphicElement, JRImage, JRLine, JRLineBox, JRPrintEllipse, JRPrintGraphicElement, JRPrintImage, JRPrintLine, JRPrintRectangle, JRRectangle, JRStyle

All Known Implementing Classes:
  JRBaseConditionalStyle, JRBaseEllipse, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBaseLineBox, JRBasePrintEllipse, JRBasePrintGraphicElement, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle, JRBaseRectangle, JRBaseStyle, JRDesignConditionalStyle, JRDesignEllipse, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignRectangle, JRDesignStyle, JRFillEllipse, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillRectangle, JRRecordedValuesPrintImage, JRTemplateEllipse, JRTemplateGraphicElement, JRTemplateImage, JRTemplateLine, JRTemplatePrintEllipse, JRTemplatePrintGraphicElement, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle, JRTemplateRectangle

    public interface JRPenContainer

extends JRStyleContainer

Version:
  $Id: JRPenContainer.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.awt.Color` | `getDefaultLineColor()`
`java.lang.Float` | `getDefaultLineWidth()`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Method Detail

### getDefaultLineWidth

    java.lang.Float getDefaultLineWidth()

### getDefaultLineColor

    java.awt.Color getDefaultLineColor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com